com.amazonaws.jmespath

## Class JmesPathFlatten

- java.lang.Object
- - com.amazonaws.jmespath.JmesPathFlatten

All Implemented Interfaces:
  JmesPathExpression

    public class JmesPathFlatten
    extends Object
    implements JmesPathExpression

Class definition for flatten expression. It will merge sub-lists in the current result into a single list.

### Constructor Summary

Constructors
Constructor and Description
`JmesPathFlatten(JmesPathExpression toFlatten)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<Input,Output> Output` `accept(JmesPathVisitor<Input,Output> visitor, Input input)` Delegates to either the CodeGen visitor(JmesPathFlatten) or Evaluation visitor(JmesPathFlatten) based on the type of JmesPath visitor
`JmesPathExpression` `getFlattenExpr()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmesPathFlatten

    public JmesPathFlatten(JmesPathExpression toFlatten)

### Method Detail

#### getFlattenExpr

    public JmesPathExpression getFlattenExpr()

#### accept

    public <Input,Output> Output accept(JmesPathVisitor<Input,Output> visitor,
                                        Input input)
                                 throws InvalidTypeException

Delegates to either the CodeGen visitor(JmesPathFlatten) or Evaluation visitor(JmesPathFlatten) based on the type of JmesPath visitor

Specified by:
  `accept` in interface `JmesPathExpression`
Type Parameters:
  `Input` - Input type for the visitor CodeGen visitor: Void Evaluation visitor: JsonNode
  `Output` - Output type for the visitor CodeGen visitor: String Evaluation visitor: JsonNode
Parameters:
  `visitor` - CodeGen visitor or Evaluation visitor
  `input` - Input expression that needs to be evaluated
Returns:
  Corresponding output is returned. Evaluated String in the case of CodeGen visitor or an evaluated JsonNode in the case of Evaluation visitor
Throws:
  `InvalidTypeException`